SHA1Context Struct Reference

`#include <sha1_i.h>`

## Data Fields

u32 | state [5]
u32 | count [2]
unsigned char | buffer [64]

## Field Documentation

## buffer

unsigned char SHA1Context::buffer[64]

Referenced by SHA1Final(), and SHA1Update().

## count

u32 SHA1Context::count[2]

Referenced by SHA1Final(), SHA1Init(), and SHA1Update().

## state

u32 SHA1Context::state[5]

Referenced by SHA1Final(), SHA1Init(), and SHA1Update().

The documentation for this struct was generated from the following file:

- src/gsm/kdf/sha1_i.h